Can I watch Demand 5 on my iPad?

The Demand 5 app can be installed on the following iPads:

  • iPad 2
  • iPad 3
  • iPad 4
  • iPad Air
  • iPad mini
  • iPad mini with Retina display

The device must be running iOS version 7 or higher.

Please note:

  • iPad 1 cannot be updated beyond iOS version 5.1.1
  • iPad 2 must be updated to iOS 7, as it is not compatible with version 6.1

For more information, see the following topic: Can I watch videos on my smartphone or tablet?